<ion-header
    [class]="'has-background-' + color"
    [ngClass]="{
        'ion-no-border': !border
    }"
>
    <ion-toolbar>
        <ion-row class="ion-align-items-center">
            <ion-col
                size="auto"
                *ngIf="!showBackButton"
                class="ion-align-self-start ion-no-padding ml-5 mt-3"
            >
                <ion-back-button
                    class="size-13"
                    color="dark"
                    icon="arrow-back-outline"
                    defaultHref="tabs"
                    text=""
                ></ion-back-button>
            </ion-col>
            <ion-col class="my-9 ml-5 ion-no-padding">
                <ion-text
                    class="size-30 weight-400 has-text-secondary"
                    color="dark"
                >
                    {{ title }}
                </ion-text>
                <br />
                <ng-content select="[description]"></ng-content>
                <ion-text
                    *ngIf="subTitle"
                    class="weight-500 size-14"
                    data-test-id="description"
                    color="silver-dark"
                    >{{ description }}</ion-text
                >
            </ion-col>
            <ion-col size="auto" class="ion-no-margin">
                <ion-avatar
                    class="border-2 has-border-primary border-solid"
                    *ngIf="showBackButton"
                >
                    <app-img
                        [src]="user.photo"
                        [alt]="user.nom"
                        [title]="user.nom"
                        [errorSrc]="environment.user.avatar"
                    >
                    </app-img>
                </ion-avatar>
                <ng-content select="[options]"></ng-content>
            </ion-col>
        </ion-row>
    </ion-toolbar>
</ion-header>
